PSA: Don’t Update to 5.0.1 if You Plan on Jailbreaking

If you plan on jailbreaking your iDevice, do not update to iOS 5.0.1, which is currently being seeded to developers and AppleSeed participants. According to pod2g, the security hole that Charlie Miller lost his developer program membership over can be exploited for jailbreaking, and the latest iOS update patches the vulnerability. Jailbreaking 5.0.1 is still a possibility in the future, but most efforts are focused on untethering 5.0.

Post a response / What do you think?